QGIS Application - Bug report #9295
GetPrint causes segfault if HTML formatted text is used in the template
2014-01-06 12:17 AM - Alessandro Pasotti

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.18.4 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corruptsdata: Copied to github as #: 17904
Description

This bug was discussed at least in
http://lists.osgeo.org/pipermail/qgis-developer/2013-May/026269.html

but | couldn't find the related ticket, please mark as duplicate if it already exists.

The bug is still present in master.

While waiting for a fix we should document this issue as a known limitation.

Related issues:
Related to QGIS Application - Bug report # 9763: GetPrint segfault Closed

2014-03-11

History

#1 - 2014-01-09 12:29 AM - Alessandro Pasotti
- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2014-01-09 08:56 AM - Giovanni Manghi
- Priority changed from Normal to High

#3 - 2014-01-31 02:40 AM - René-Luc ReLuc

The known limitation is that QGIS-Server needs a fake X server to render HTML in GetPrint.

We use it in production with getPrint, HTML and fake X server without crashes.

To avoid to use fake X server, QGIS has to use QtWebView headless. It's possible because PhantomJS do it.

http://phantomjs.org/
https://github.com/ariya/phantomjs/

#4 - 2014-01-31 02:49 AM - Alessandro Pasotti

I know that there are workarounds but it's still a serious bug.

This "known limitation" is not really "known" by most part of the users, AFAIK it isn't documented anywhere but in a few old emails, it should be clearly
documented instead and we should try to find a system to avoid the crash when an X server isn't available, better serve a blank field instead.

If we cannot find a way to avoid the crash, as a last resource, we should add X to the package dependencies.
http://lists.osgeo.org/pipermail/qgis-developer/2013-May/026269.html
http://phantomjs.org/
https://github.com/ariya/phantomjs/

#5 - 2014-07-31 03:46 AM - aperi2007 -
-1

To add dependencies

We cannot add x on pur server.
Contestually se font use the getprint .

IT is not a standard wms command

so0 many wms client dont support iT.

Ask a dependency forma a non standard command mean lost user.
+1 to add clearly to documentation.

#6 - 2014-07-31 04:29 AM - Paolo Cavallini

Don't know if it's the same issue, but we're getting:

[Thu Jul 31 13:27:07.210983 2014] [fcgid:warn] [pid 5450] (104)Connection reset by peer: [client 127.0.0.1:46153] mod_fcgid: error reading data from
FastCGl server

[Thu Jul 31 13:27:07.211444 2014] [core:error] [pid 5450] [client 127.0.0.1:46153] End of script output before headers: qgis_mapserv.fcgi

even after installing and configuring xvfb. This happens quite reliably when attempting to print a layout with layers present in the template legend, but
switched off in the TOC.

#7 - 2015-05-27 08:28 AM - Giovanni Manghi

see also #9763

#8 - 2015-10-08 05:03 AM - luca76 -
see also #13285, comment of Giovanni Manghi explains a possible solution:

| a solution is here (and | think is also in the manual)

| http://www.itopen.it/qgis-server-setup-notes/

#9 - 2017-03-07 08:03 AM - Giovanni Manghi
- Affected QGIS version changed from 2.0.1 to 2.18.4
- Target version set to Version 2.18

Still pretty much the case in all QGIS Server installations on headless Linux Servers.

#10 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#11 - 2018-06-14 11:58 AM - Alessandro Pasotti
http://www.itopen.it/qgis-server-setup-notes/

- Status changed from Open to Closed
- Description updated
- Resolution set to wontfix

Fixed in documentation.
